# Deep network: src/layers/activation.hpp File Reference

activation.hpp File Reference
`#include "layer.hpp"`
`#include "math.hpp"`
Include dependency graph for activation.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Layer::ActivationLayer< A >

## Namespaces

namespace | Layer

## Enumerations

enum | Layer::ActivationMap { Layer::Sigmoid }

## Functions

template<ActivationMap A>
Real | Layer::activation_map (Real)
template<ActivationMap A>
Real | Layer::activation_diff_map (Real)
template<>
Real | Layer::activation_map< Sigmoid > (Real x)
template<>
Real | Layer::activation_diff_map< Sigmoid > (Real x)